View Issue Details

IDProjectCategoryView StatusLast Update
11698Development ComfortUpdatepublic2018-02-16 15:54
Reporterdigitmaster Assigned ToLouisGac  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version2.5x 
Target VersionFixed in Version2.5x 
Summary11698: ConfortUpdate cannot download the zip file via proxy
Description

Issue:
If a proxy is configured in:
/application/config/config-defaults.php
then the ConfortUpdate will fail at the point of downloading the update zip file.
Cause:
This happens because the CURLOPT_PROXY is not set in the function _performDownload defined in /application/models/UpdateForm.php
Resolution:
set the CURLOPT_PROXY in the _performDownload function if a proxy is present in the configuration file. Apply the patch below:

##Begin patch:
1023,1027d1022
if ($this->proxy_host_name != '')
{
$proxy = $this->proxy_host_name.':'.$this->proxy_host_port;
curl_setopt($ch, CURLOPT_PROXY, $proxy);
}
##End patch

Regards
Francesco Petrone (digitmaster)

Additional Information

Patch:
1022a1023,1027
if ($this->proxy_host_name != '')
{
$proxy = $this->proxy_host_name.':'.$this->proxy_host_port;
curl_setopt($ch, CURLOPT_PROXY, $proxy);
}

TagsNo tags attached.

Activities

digitmaster

digitmaster

2016-09-21 17:32

reporter   ~40901

Hi all,
I cannot edit the issue. Should it go to the Project "Bug Reports" instead of "Development"?
Thanks
digitmaster

mfavetti

mfavetti

2016-09-27 00:32

developer   ~40961

Well I made PR #541 but the credit goes to you. You already did all the work and presented the solution.

LouisGac

LouisGac

2016-09-27 10:08

manager   ~40968

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=20659

Related Changesets

LimeSurvey: master 30d6e3a1

2016-09-27 00:31:26

mfavetti

Details Diff
Fixed Issue 11698: ConfortUpdate cannot download the zip file via proxy Affected Issues
11698
mod - application/models/UpdateForm.php Diff File

LimeSurvey: master 57142c63

2016-09-27 10:08:22

LouisGac


Committer: GitHub Details Diff
Merge pull request #541 from mfavetti/ComfortUpdateProxy

Fixed Issue 11698: ConfortUpdate cannot download the zip file via proxy
Affected Issues
11698
mod - application/models/UpdateForm.php Diff File

Issue History

Date Modified Username Field Change
2016-09-21 16:01 digitmaster New Issue
2016-09-21 17:32 digitmaster Note Added: 40901
2016-09-27 00:32 mfavetti Note Added: 40961
2016-09-27 10:08 mfavetti Changeset attached => LimeSurvey master 30d6e3a1
2016-09-27 10:08 LouisGac Changeset attached => LimeSurvey master 57142c63
2016-09-27 10:08 LouisGac Note Added: 40968
2016-09-27 10:08 LouisGac Assigned To => LouisGac
2016-09-27 10:08 LouisGac Resolution open => fixed
2016-10-02 19:50 DenisChenu Status new => resolved
2016-10-02 19:50 DenisChenu Fixed in Version => 2.5x
2018-02-16 15:54 c_schmitz Status resolved => closed